Install IO Package

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Install IO Package

mschmidt84
Hello,

i've got an problem to install and load the io package from Octave forge. If i run the install octave shut down. I get the package in the list of installed packages but if i load then octave crashes also.
I run Octave 4.2.1 on Windows 10.
I've installed the Package yesterday and it works fine. I started the computer today and got the problems.
Does any one has the same problems?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

PhilipNienhuis
mschmidt84 wrote
Hello,

i've got an problem to install and load the io package from Octave forge. If i run the install octave shut down. I get the package in the list of installed packages but if i load then octave crashes also.
I run Octave 4.2.1 on Windows 10.
I've installed the Package yesterday and it works fine. I started the computer today and got the problems.
Does any one has the same problems?
Exactly how did you "install and load the io package from Octave forge" ?

P.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

mschmidt84
I tryed it with the command:
 pkg install -forge io-2.4.5.tar.gz.
This don't work because my octave give me an error that it is not  i also downloaded the file and try the install without the -forge command.
I try to load it with pkg load io-2.4.5.tar.gz.
If i load the __init_io__.m file in octave and run it. Then Octave also shut down. So i think it is a problem between these file and windows 10 or Octave.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

tmacchant
---- Original Message -----

> From: mschmidt84 <[hidden email]>
> To: [hidden email]
> Cc:
> Date: 2017/3/9, Thu 16:13
> Subject: Re: Install IO Package
>
> I tryed it with the command:
> pkg install -forge io-2.4.5.tar.gz. 
> This don't work because my octave give me an error that it is not  i also

> downloaded the file and try the install without the -forge command.
> I try to load it with pkg load io-2.4.5.tar.gz.



pkg install 
command install package

If you use -forge option, you should not give file name.

Use 

pkg install -forge io


*********
However, this command only works octave-4.2.1 on windows because of change
web site URL style.  For octave 4.2.0 before, you should download package source file
(e.g. io-2.4.6.tar.gz) and place it to current directory (folder). 
and execute 

pkg install io-2.4.6.tar.gz
(do not add -forge option in this case.)
********* 


pkg load 

command to add package already installed to to the path.

After loading a package it is possible to use the functions provided by the package.


However, octave 4.0.1 or latter, many pre-build octave-forge packages are installed.
Thus usually it is not necessary to install octave-forge packages by "pkg install" command
You can see the list of packages by 


pkg list


Usually it is enough to use io package before use functions in io package.
pkg load io

After pkg load command, if you execute "pkg list io"

>> pkg list io
Package Name  | Version | Installation directory
--------------+---------+-----------------------
          io *|   2.4.6 | C:\octave\OCTAVE~1.1\share\octave\packages\io-2.4.6

* (asterisk) mark indicates that the package is added to the path.

Tatsuro







> If i load the __init_io__.m file in octave and run it. Then Octave also shut
> down. So i think it is a problem between these file and windows 10 or
> Octave.
>
>
>
> --
> View this message in context:
> http://octave.1599824.n4.nabble.com/Install-IO-Package-tp4682213p4682241.html
> Sent from the Octave - Maintainers mailing list archive at Nabble.com.
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

mschmidt84
Hi,
thanks for your answers. I get the new package and run the install in the command window. I now get the error. Java Error IO Package

I new try to reinstall Java. I will post if it works.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

tmacchant
----- Original Message -----

> From: mschmidt84 
> To: octave-maintainers
> Cc:
> Date: 2017/3/9, Thu 17:53
> Subject: Re: Install IO Package
>
> Hi,
> thanks for your answers. I get the new package and run the install in the
> command window. I now get the error.
> <http://octave.1599824.n4.nabble.com/file/n4682244/octave_IO.png>
>
> I new try to reinstall Java. I will post if it works.
>


If you install 64bit version octave, 64bit version JRE should be installed.

Tatsuro

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

mschmidt84
Yes java was removed.
i think java was removed with netbeans. I had installed eclipse and then removed netbeans. I thought that java was already installed. I reinstalled it and now it works.
Thanks for your help.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install IO Package

PhilipNienhuis
In reply to this post by mschmidt84
mschmidt84 wrote
Hi,
thanks for your answers. I get the new package and run the install in the command window. I now get the error. Java Error IO Package

I new try to reinstall Java. I will post if it works.
Hmmm that looks like a bug I haven't encountered until now.

If there's no Java in the system, initialization of Java-based functions in the io package should be skipped.  But your case suggests that Java detection isn't as robust as I hoped.
I'll look into that.

Philip
Loading...